<%
//********************************************************************
//*-------------------------------------------------------------------
//* Licensed Materials - Property of IBM
//*
//* 5724-A18
//*
//* (c) Copyright IBM Corp. 2000, 2002
//*
//* US Government Users Restricted Rights - Use, duplication or
//* disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
//*
//*-------------------------------------------------------------------
//*
%>

<%@ page import="java.io.*" %>
<%@ page import="java.util.*" %>
<%@ page import="com.ibm.commerce.server.*" %>
<%@ page import="com.ibm.commerce.command.*" %>

<%@ page import="javax.servlet.*" %>
<%@ page import="com.ibm.commerce.catalog.beans.*" %>
<%@ page import="com.ibm.commerce.catalog.objects.*" %>
<%@ page import="com.ibm.commerce.beans.*" %>

<%@ page import="com.ibm.commerce.user.beans.*" %>
<%@ page import="com.ibm.commerce.user.objects.*" %>
<%@ page import="com.ibm.commerce.datatype.*" %>
<%@ page import="com.ibm.commerce.usermanagement.commands.ECUserConstants" %>
<%@ page import="com.ibm.commerce.common.beans.*" %>
<%@ page import="com.ibm.commerce.common.objects.*" %>
<%@ page import="com.ibm.commerce.common.beans.*" %>
<%@ page import="com.ibm.commerce.price.utils.*" %>
<%@ page import="com.ibm.commerce.security.commands.ECSecurityConstants" %>
<%@ page import="java.text.MessageFormat" %>
<%@ page import="com.ibm.commerce.ras.ECMessageHelper" %>

<%@ include file="../../../include/EnvironmentSetup.jsp"%>

<%
// JSPHelper provides you with a easy way to retrieve 
//		URL parameters when they are encrypted
JSPHelper jhelper = new JSPHelper(request);

String storeId = jhelper.getParameter("storeId");
String catalogId = jhelper.getParameter("catalogId");
String languageId = cmdcontext.getLanguageId().toString();
String currency = (String) cmdcontext.getCurrency();


//  we use ErrorDataBean to get the reason why registration fails, and display the appropriate error message below
%>

<jsp:useBean id="bnError" class="com.ibm.commerce.beans.ErrorDataBean" scope="page">
<% com.ibm.commerce.beans.DataBeanManager.activate(bnError, request); %>
</jsp:useBean>

<%
String strErrorMessage = null;
String strErrorCode = "";

String strLogonID = null;
String strPassword = null;
String strPasswordVerify = null;
String strLastName = null;
String strFirstName = null;
String strPreferredLanguage = null;
String strPreferredCurrency = null;

// Age & Gender Variables
String strAge = null;
String selectone = "";
String selecttwo = "";
String selectthree = "";
String selectfour = "";
String selectfive = "";
String selectsix = "";
String selectseven = "";

String strGender = null;
String gender_male = "checked";
String gender_female = "";

// Hobbies (interestes) variables
String strHobbies = "";
boolean mensFashionFlag = false;
boolean womensFashionFlag = false;
boolean specialsFlag = false;

TypedProperty hshErrorProperties = bnError.getExceptionData();

if (hshErrorProperties != null)
{
	// there is an error with user registration
	strErrorCode = hshErrorProperties.getString(ECConstants.EC_ERROR_CODE, "");

	String policyAccount = ECSecurityConstants.ACCOUNT_POLICY;              // Get the default account policy

	PolicyAccountAccessBean abPolicyAccount= new PolicyAccountAccessBean();
	abPolicyAccount.setInitKey_iPolicyAccountId(policyAccount);
	String passPolicyId = abPolicyAccount.getPolicyPasswordId();           // Get the password policy id from the AccountPolicyDataBean

	PolicyPasswordAccessBean abPolicyPassword = new PolicyPasswordAccessBean();
	abPolicyPassword.setInitKey_iPolicyPasswordId(passPolicyId);
	String minLength = abPolicyPassword.getMinimumPasswordLength();        // Get the attributes needed for the error messages
	String minNumeric = abPolicyPassword.getMinimumNumeric();
	String minAlphabetic = abPolicyPassword.getMinimumAlphabetic();
	String maxInstances = abPolicyPassword.getMaximumInstances();
	String maxConsec = abPolicyPassword.getMaximumConsecutiveType();		

	if (strErrorCode.equals(ECUserConstants.EC_UREG_ERR_BAD_LOGONID))
		strErrorMessage = infashiontext.getString("ERROR_MESSAGE40");
	if (strErrorCode.equals(ECUserConstants.EC_UREG_ERR_LOGONID_EXISTS))
		strErrorMessage = infashiontext.getString("ERROR_MESSAGE41");

	if (strErrorCode.equals(ECUserConstants.EC_UREG_ERR_BAD_LOGONPASSWORD))
		strErrorMessage = infashiontext.getString("ERROR_MESSAGE42");
	if (strErrorCode.equals(ECUserConstants.EC_UREG_ERR_BAD_LOGONPASSWORDVERIFY))
		strErrorMessage = infashiontext.getString("ERROR_MESSAGE43");
	if (strErrorCode.equals(ECUserConstants.EC_UREG_ERR_PASSWORDS_NOT_SAME))
		strErrorMessage = infashiontext.getString("ERROR_MESSAGE44");
														 
	if (strErrorCode.equals(ECUserConstants.EC_ADDR_ERR_BAD_LASTNAME))
		strErrorMessage = infashiontext.getString("ERROR_MESSAGE45");
	if (strErrorCode.equals(ECUserConstants.EC_UREG_ERR_MISSING_LOGONPASSWORDVERIFY))
		strErrorMessage = infashiontext.getString("ERROR_MESSAGE46");
		
	if (strErrorCode.equals(ECSecurityConstants.ERR_MINIMUMLENGTH_PASSWORD))
		{
			strErrorMessage = infashiontext.getString("PASS_ERROR_MESSAGE21",minLength,minNumeric,minAlphabetic);		
		}
	if (strErrorCode.equals(ECSecurityConstants.ERR_MINIMUMDIGITS_PASSWORD))
			{			
			strErrorMessage = infashiontext.getString("PASS_ERROR_MESSAGE22",minLength,minNumeric,minAlphabetic);
			}
	if (strErrorCode.equals(ECSecurityConstants.ERR_MINIMUMLETTERS_PASSWORD))
			{
			strErrorMessage = infashiontext.getString("PASS_ERROR_MESSAGE23",minLength,minNumeric,minAlphabetic);
			}
	if (strErrorCode.equals(ECSecurityConstants.ERR_USERIDMATCH_PASSWORD))
		strErrorMessage = infashiontext.getString("PASS_ERROR_MESSAGE24");	
	if (strErrorCode.equals(ECSecurityConstants.ERR_REUSEOLD_PASSWORD))
		strErrorMessage = infashiontext.getString("PASS_ERROR_MESSAGE25");	
	if (strErrorCode.equals(ECSecurityConstants.ERR_MAXCONSECUTIVECHAR_PASSWORD))
			{
			strErrorMessage = infashiontext.getString("PASS_ERROR_MESSAGE26",maxConsec);
			}
	if (strErrorCode.equals(ECSecurityConstants.ERR_MAXINTANCECHAR_PASSWORD))
			{
			strErrorMessage = infashiontext.getString("PASS_ERROR_MESSAGE27",maxInstances);
			}

	// Get the values entered by the user to pre-fill the form
	strLogonID = jhelper.getParameter(ECUserConstants.EC_UREG_LOGONID);
	strPassword = jhelper.getParameter(ECUserConstants.EC_UREG_LOGONPASSWORD);
	strPasswordVerify = jhelper.getParameter(ECUserConstants.EC_UREG_LOGONPASSWORDVERIFY);
	strLastName = jhelper.getParameter(ECUserConstants.EC_ADDR_LASTNAME);
	strFirstName = jhelper.getParameter(ECUserConstants.EC_ADDR_FIRSTNAME);
	strPreferredLanguage = jhelper.getParameter("preferredLanguage");
	strPreferredCurrency = jhelper.getParameter("preferredCurrency");
	strHobbies = jhelper.getParameter("hobbies");
	if (strHobbies.indexOf(infashiontext.getString("REGNEW_INTEREST_MENSFASHION")) > -1 ) mensFashionFlag=true;
	if (strHobbies.indexOf(infashiontext.getString("REGNEW_INTEREST_WOMENSFASHION")) > -1) womensFashionFlag=true;
	if (strHobbies.indexOf(infashiontext.getString("REGNEW_INTEREST_SPECIALS")) > -1) specialsFlag=true;
	%>
	
	<flow:ifEnabled feature="Age">
	<%
	strAge = jhelper.getParameter(ECUserConstants.EC_DEMO_AGE);
	if (strAge!=null && strAge.equals("1"))
		 selectone = "selected";
	else if (strAge!=null && strAge.equals("2"))
		 selecttwo = "selected";
	else if (strAge!=null && strAge.equals("3"))
		 selectthree = "selected";
	else if (strAge!=null && strAge.equals("4"))
		 selectfour = "selected";
	else if (strAge!=null && strAge.equals("5"))
		 selectfive = "selected";
	else if (strAge!=null && strAge.equals("6"))
		 selectsix = "selected";
	%>
	</flow:ifEnabled>
	
	<flow:ifEnabled feature="Gender">
	<%
	strGender = jhelper.getParameter(ECUserConstants.EC_DEMO_GENDER);
			
	 if (strGender!=null && strGender.equals("M"))  
		gender_male = "checked";
	else if (strGender!=null && strGender.equals("F")) 
		gender_female = "checked";
	%>
	</flow:ifEnabled>
	<%
}
else
{
	//Form is loaded under normal condition
	//Initialize all fields to empty.

	strLogonID = "";
	strPassword = "";
	strPasswordVerify = "";
	strLastName = "";
	strFirstName = "";
	%>
	<flow:ifEnabled feature="Age">
	<% strAge = ""; %>
	</flow:ifEnabled>
	
	<flow:ifEnabled feature="Gender">
	<% strGender = ""; %>
	</flow:ifEnabled>
	<%
}
%>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "DTD/xhtml1-transitional.dtd">
<html>
<head>
	<title><%=infashiontext.getString("REGISTER_TITLE")%></title>
	<link rel="stylesheet" href="<%=jspStoreImgDir%><%=vfileStylesheet%>" type="text/css">
</head>

<body marginheight="0" marginwidth="0">

<!-- Set the user id and e-mail to the same value -->
<SCRIPT language="javascript">
function prepareSubmit(form)
{
	form.<%=ECUserConstants.EC_ADDR_EMAIL1%>.value =
		form.<%= ECUserConstants.EC_UREG_LOGONID%>.value.toLowerCase()
	form.<%=ECUserConstants.EC_UREG_LOGONID%>.value =
		form.<%= ECUserConstants.EC_UREG_LOGONID%>.value.toLowerCase()
	
	<flow:ifEnabled feature="EmailOption">	
	if (form.sendMeEmail.checked) form.receiveEmail.value = true
	else form.receiveEmail.value = false;
			
	<!-- concatenate hobbies based on interest checkboxes-->
	if (form.mensFashion.checked)	form.hobbies.value = form.hobbies.value+"<%=infashiontext.getString("REGNEW_INTEREST_MENSFASHION")%>";
	if (form.womensFashion.checked) form.hobbies.value = form.hobbies.value+","+"<%=infashiontext.getString("REGNEW_INTEREST_WOMENSFASHION")%>";
	if (form.specials.checked)      form.hobbies.value = form.hobbies.value+","+"<%=infashiontext.getString("REGNEW_INTEREST_SPECIALS")%>";
	<!-- if the string starts with comma, remove it-->
	if (form.hobbies.value.indexOf(",") == 0)
		form.hobbies.value = form.hobbies.value.substring(1,form.hobbies.value.length);
	</flow:ifEnabled>
	
	form.submit()
}
</SCRIPT>

<table cellpadding="0" cellspacing="0" border="0" width="600">
	<%
	String incfile = jspStoreDir;
		
	incfile +=  StyleDir + "HeaderDisplay.jsp";
	%>
	<jsp:include page="<%=incfile%>" flush="true"/>
	<tr>
	<%
	incfile = jspStoreDir + StyleDir + "SidebarDisplay.jsp";
	%>
	<jsp:include page="<%=incfile%>" flush="true"/>

	<td width="600" valign="top" class="mainContent">

		<!--MAIN CONTENT STARTS HERE-->

		<table cellpadding="2" cellspacing="0" width="580" border="0" align="left">
		<tr>
			<td width="10" rowspan="10">&nbsp;</td>
			<td align="left" valign="top" colspan="3" class="categoryspace">
				<font class="pageHeading"><%=infashiontext.getString("REGISTRATION")%></font>
				<hr width="580" noshade align="left">
				<font class="requiredInputText">*</font><font class="text"><%=infashiontext.getString("REQUIRED_FIELDS3")%></font>
			</td>
		</tr>
		<tr>
			<td align="left" valign="top" width="400" class="topspace">
				<%
				if (strErrorMessage != null)
				{
					//We have error message.
					%>
					<font class="redText"><br /><%=strErrorMessage%><br /><br /></font>
					<%
				}
				%>
				
				<FORM name="Register" method=POST action="UserRegistrationAdd">
				<INPUT TYPE="hidden" NAME="new" Value="Y">
				<INPUT TYPE="hidden" NAME="storeId" Value="<%=storeId%>">
				<INPUT TYPE="hidden" NAME="catalogId" Value="<%=catalogId%>">
				<INPUT TYPE="hidden" NAME="URL" Value="LogonForm">
				<INPUT TYPE="hidden" NAME="page" Value="account">
				<INPUT TYPE="hidden" NAME="registerType" Value="G">
				<INPUT TYPE="hidden" NAME="profileType" Value="C">
				<INPUT TYPE="hidden" NAME="<%=ECUserConstants.EC_ADDR_EMAIL1%>" Value="">
				<flow:ifEnabled feature="EmailOption">
				<INPUT TYPE="hidden" NAME="receiveEmail" Value="">
				</flow:ifEnabled>
				<flow:ifDisabled feature="EmailOption">
				<INPUT TYPE="hidden" NAME="receiveEmail" Value="false">
				</flow:ifDisabled>
				<INPUT TYPE="hidden" NAME="hobbies" Value="">
				<!-- 
				Some mandatory fields are not displayed in this form. The challenge answer and question are
				necessary for the forget password feature to work.  It is required that these fields contain something.
				Therefore we set them to the dummy character "-".
				-->
				<INPUT TYPE="hidden" NAME="<%= ECUserConstants.EC_UREG_CHALLENGEQUESTION %>" VALUE="-">
				<INPUT TYPE="hidden" NAME="<%= ECUserConstants.EC_UREG_CHALLENGEANSWER %>" VALUE="-">
		
				<table cellpadding="3" cellspacing="0" border="0" align="left">
				<tr>
					<td align="right" valign="middle">
						<font class="requiredInputText">*</font><font class="strongtext"><%=infashiontext.getString("EMAIL2")%></font>
					</td>
					<td align="left" valign="middle">
						<input size="25" maxlength="50" name="<%= ECUserConstants.EC_UREG_LOGONID%>" value="<%=strLogonID%>">
					</td>
				</tr>
				<tr>
					<td align="right" valign="middle">
						<font class="requiredInputText">*</font><font class="strongtext"><%=infashiontext.getString("PASSWORD3")%></font>
					</td>
					<td align="left" valign="middle">
						<input size="25" maxlength="50" name="<%=ECUserConstants.EC_UREG_LOGONPASSWORD%>" type="password" value="<%=strPassword%>">
					</td>
				</tr>
				<tr>
					<td align="right" valign="middle">
						<font class="requiredInputText">*</font><font class="strongtext"><%=infashiontext.getString("VERIFY_PASSWORD3")%></font>
					</td>
					<td align="left" valign="middle">
						<input size="25" maxlength="50" name="<%=ECUserConstants.EC_UREG_LOGONPASSWORDVERIFY%>" type="password" value="<%=strPasswordVerify%>">
					</td>
				</tr>
				<% 
				if (locale.toString().equals("ja_JP")||locale.toString().equals("ko_KR")||locale.toString().equals("zh_CN")||locale.toString().equals("zh_TW")) 
				{ 
					%>
					<tr>
						<td align="right" valign="middle">
							<font class="requiredInputText">*</font><font class="strongtext"><%=infashiontext.getString("LAST_NAME3")%></font>
						</td>
						<td align="left" valign="middle">
							<input size="25" maxlength="50" name="<%=ECUserConstants.EC_ADDR_LASTNAME%>" value="<%=strLastName%>" type="text">
						</td>
					</tr>
					<tr>
						<td align="right" valign="middle">
							<font class="strongtext"><%=infashiontext.getString("FIRST_NAME3")%></font>
						</td>
						<td align="left" valign="middle">
							<input size="25" maxlength="50" name="<%= ECUserConstants.EC_ADDR_FIRSTNAME %>" value="<%=strFirstName%>" type="text">
						</td>
					</tr>
					<% 
				} 
				else 
				{ 
					%>
					<tr>
						<td align="right" valign="middle">
							<font class="strongtext"><%=infashiontext.getString("FIRST_NAME3")%></font>
						</td>
						<td align="left" valign="middle">
							<input size="25" maxlength="50" name="<%= ECUserConstants.EC_ADDR_FIRSTNAME %>" value="<%=strFirstName%>" type="text">
						</td>
					</tr>
					<tr>
						<td align="right" valign="middle">
							<font class="requiredInputText">*</font><font class="strongtext"><%=infashiontext.getString("LAST_NAME3")%></font>
						</td>
						<td align="left" valign="middle">
							<input size="25" maxlength="50" name="<%=ECUserConstants.EC_ADDR_LASTNAME%>" value="<%=strLastName%>" type="text">
						</td>
					</tr>
					<% 
				} 
				%>

				<flow:ifEnabled feature="preferredLanguage">
				<tr>
					<td align="right" valign="middle"><font class="strongtext"><%=infashiontext.getString("REGISTER_PREFERREDLANGUAGE")%></font></td>
					<td class="strongtext">
						<select name="preferredLanguage">

						<jsp:useBean id="supportedLanguageDataBean" class="com.ibm.commerce.common.beans.SupportedLanguageDataBean" scope="page" />
						<%
						Enumeration enStoreLangList = 
							supportedLanguageDataBean.findByStore(new Integer(storeId));
						// Get the languages supported by the store	
						while (enStoreLangList.hasMoreElements()) 
						{
							SupportedLanguageDataBean storeLang = 
								(SupportedLanguageDataBean) enStoreLangList.nextElement();
							String storelangId = storeLang.getLanguageId();
							LanguageDescriptionDataBean langDesc = 
								new LanguageDescriptionDataBean();
							langDesc.setInitKey_languageId(languageId);
							langDesc.setInitKey_descriptionLanguageId(storelangId);
		
							// pre-select the appropriate value in the drop down list.
							if (strPreferredLanguage != null)
							{
								if (strPreferredLanguage.equals(storelangId)) 
								{
									%>
									<option value="<%= storelangId %>" SELECTED><%=langDesc.getDescription()%></option>
									<%
								} 
								else 
								{
									%>
									<option value="<%= storelangId %>"><%=langDesc.getDescription()%></option>
									<%
								}
							} 
							else
							{
								if (languageId.equals(storelangId)) 
								{
									%>
									<option value="<%= storelangId %>" SELECTED><%=langDesc.getDescription()%></option>
									<%
								} 
								else 
								{
									%>
									<option value="<%= storelangId %>"><%=langDesc.getDescription()%></option>
									<%
								}
							}
						}
						%>
						</select>
					</td>
				</tr>
				</flow:ifEnabled>
				<flow:ifDisabled feature="preferredLanguage">
					<%
					if (strPreferredLanguage != null) 
					{
						%>
						<input type="hidden" name="preferredLanguage" value="<%=strPreferredLanguage%>">
						<%
					}
					else 
					{
						%>
						<input type="hidden" name="preferredLanguage" value="<%=languageId%>">
						<%
					}
					%>					
				</flow:ifDisabled>
				
				<flow:ifEnabled feature="preferredCurrency">				
				<tr>
					<td align="right" valign="middle">
						<font class="strongtext"><%=infashiontext.getString("REGISTER_PREFERREDCURRENCY")%></font>
					</td>
					<td class="strongtext"><select name="preferredCurrency">
						<%
						CurrencyManager cm = CurrencyManager.getInstance();
						String [] supportedCurrencies = (String []) cm.getSupportedCurrencies(cmdcontext.getStore());
						for (int i = 0; i < supportedCurrencies.length; ++i)
						{
							CurrencyDescriptionDataBean currDesc = new CurrencyDescriptionDataBean();
							currDesc.setInitKey_languageId(languageId);
							currDesc.setInitKey_currencyCode(supportedCurrencies[i]);
							// pre-select the appropriate value in the drop down list.
							if (strPreferredCurrency != null)
							{
								if (strPreferredCurrency.equals(supportedCurrencies[i])) 
								{
									%>
									<OPTION Value="<%=supportedCurrencies[i]%>" SELECTED><%=currDesc.getDescription()%></OPTION>
									<%
								} 
								else 
								{
									%>
									<OPTION Value="<%=supportedCurrencies[i]%>"><%=currDesc.getDescription()%></OPTION>
									<%
								}
							} 
							else
							{
								if (currency.equals(supportedCurrencies[i]))
								{
									%>
									<OPTION Value="<%=supportedCurrencies[i]%>" SELECTED><%=currDesc.getDescription()%></OPTION>
									<%
								} 
								else 
								{
									%>
									<OPTION Value="<%=supportedCurrencies[i]%>"><%=currDesc.getDescription()%></OPTION>
									<%
								}
							}
						}
						%>
						</select>
					</td>
				</tr>
				</flow:ifEnabled>
				<flow:ifDisabled feature="preferredCurrency">
					<%
					if (strPreferredCurrency != null) 
					{
						%>
						<input type="hidden" name="preferredCurrency" value="<%=strPreferredCurrency%>">
						<%
					}
					else 
					{
						%>
						<input type="hidden" name="preferredCurrency" value="<%=currency%>">
						<%
					}
					%>
				</flow:ifDisabled>
				<flow:ifEnabled feature="Age">
				<tr>
					<td align="right" valign="middle">
						<font class="strongtext"><%=infashiontext.getString("AGE")%></font>
					</td>
					<td class="strongtext">
						<select name="<%=ECUserConstants.EC_DEMO_AGE%>">
						<OPTION Value="0"><%=infashiontext.getString("SELECT_ONE")%></OPTION>
						<OPTION <%=selectone%> Value="1">10-19</OPTION>
						<OPTION <%=selecttwo%> Value="2">20-29</OPTION>
						<OPTION <%=selectthree%> Value="3">30-39</OPTION>
						<OPTION <%=selectfour%> Value="4">40-49</OPTION>
						<OPTION <%=selectfive%> Value="5">50-59</OPTION>
						<OPTION <%=selectsix%> Value="6">60+</OPTION>
						</select>
					</td>
				</tr>
				</flow:ifEnabled>		
	
				<flow:ifEnabled feature="Gender">
				<tr>
					<td align="right">
						<font class="strongtext"><%=infashiontext.getString("GENDER")%></font>
					</td>
					<td class="strongtext" colspan="2">
						<font class="strongtext">
						<input type="radio" <%=gender_male%> name="<%= ECUserConstants.EC_DEMO_GENDER%>" value="M" ><%=infashiontext.getString("MALE")%>&nbsp;&nbsp;&nbsp;&nbsp;
						<input type="radio" <%=gender_female%> name="<%= ECUserConstants.EC_DEMO_GENDER%>" value="F" ><%=infashiontext.getString("FEMALE")%>
						</font>
					</td>
				</tr>				
				</flow:ifEnabled>

				<flow:ifEnabled feature="EmailOption">
				<tr>
					<td colspan="2" class="sidebar">
						<table><tr>
							<td valign="top"><input type="checkbox" name="sendMeEmail"></td>
							<td><font class="headerText"><%=infashiontext.getString("REGNEW_SENDMEEMAIL")%><br /></font></td>
						</tr></table>
					</td>
					
				</tr>
				<tr>
					<td colspan="2">
						<table>
						<tr>
							<td width="20">&nbsp;</td>
							<td><font class="text"><br /><%=infashiontext.getString("REGNEW_INTERESTIN")%><br /></font></td>
						</tr>	
						<tr>
							<td width="20">&nbsp;</td>
							<td><font class="text"><input type="checkbox" name="mensFashion" <% if (mensFashionFlag) {%> checked <%}%>>&nbsp;<%=infashiontext.getString("REGNEW_INTEREST_MENSFASHION")%></font></td>
						</tr>
						<tr>
							<td width="20">&nbsp;</td>
							<td><font class="text"><input type="checkbox" name="womensFashion"<% if (womensFashionFlag) {%> checked <%}%>>&nbsp;<%=infashiontext.getString("REGNEW_INTEREST_WOMENSFASHION")%></font></td>
						</tr>
						<tr>
							<td width="20">&nbsp;</td>
							<td><font class="text"><input type="checkbox" name="specials"<% if (specialsFlag) {%> checked <%}%>>&nbsp;<%=infashiontext.getString("REGNEW_INTEREST_SPECIALS")%></font></td>
						</tr>									
						</table>
					</td>
				</tr>
				</flow:ifEnabled>

                        
				<%-- Add for tutorial --%>
				<tr>
					<td colspan="3">
						<jsp:include page="UserRegistrationAddFormInclude.jsp" flush="true" />
					</td>
				</tr>
				<%-- End of tutorial --%>

				<tr>
					<td colspan="2"><font class="text">&nbsp;</font></td>
				</tr>
					
				<tr>
					<td align="left" valign="top">
						<font class="text">&nbsp;</font>
					</td>
					<td align="left" valign="top" class="categoryspace">
						<table cellpadding="4" cellspacing="0" border="0">
						<tr>
							<td align="left" valign="middle" class="buttonStyle">
								<a href="javascript:prepareSubmit(document.Register)"><font class="buttonStyle"><%=infashiontext.getString("SUBMIT")%></font></a>
							</td>
						</tr>
						</table>
					</td>
				</tr>
				</table>
				</form>
			</td>
			<td width="180" valign="top" class="topspace">
				<table cellpadding="3" cellspacing="0" border="1" width="180">
				<tr>
					<td align="left" valign="top" class="privacyStatement">
						<font class="text"><%=infashionDynamictext.getString("PrivacyPoloicy_Text1", storeName)%></font>
					</td>
				</tr>
				</table>
			</td>
		</tr>
		</table>
	</td>
</tr>
<tr>
	<td colspan="2" class="footer" align="right">
	
		<%
		incfile = jspStoreDir + StyleDir + "FooterDisplay.jsp";
		%>
		<jsp:include page="<%=incfile%>" flush="true"/>
	</td>
</tr>
</table>


</body>
</html>
