<%
//********************************************************************
//*-------------------------------------------------------------------
//* Licensed Materials - Property of IBM
//*
//* 5724-A18
//*
//* (c) Copyright IBM Corp. 2000, 2002
//*
//* US Government Users Restricted Rights - Use, duplication or
//* disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
//*
//*-------------------------------------------------------------------
//*
%>

<% // All JSPs requires the first 4 packages for getResource.jsp which is used for multi language support %> 
<%@ page import="java.io.*" %>
<%@ page import="java.util.*" %>
<%@ page import="com.ibm.commerce.server.*" %>
<%@ page import="com.ibm.commerce.command.*" %>
<%@ page import="javax.servlet.*" %>
<%@ page import="com.ibm.commerce.datatype.*" %>
<%@ page import="com.ibm.commerce.usermanagement.commands.ECUserConstants" %>
<%@ page import="com.ibm.commerce.price.utils.*" %>
<%@ page import="com.ibm.commerce.common.objects.*" %>
<%@ page import="com.ibm.commerce.common.beans.*" %>
<%@ page import="com.ibm.commerce.user.beans.*" %>
<%@ page import="com.ibm.commerce.user.objects.*" %>
<%@ page import="com.ibm.commerce.security.commands.ECSecurityConstants" %>
<%@ page import="java.text.MessageFormat" %>
<%@ page import="com.ibm.commerce.ras.ECMessageHelper" %>

<%@ include file="../../../include/EnvironmentSetup.jsp"%>

<%
// JSPHelper provides you with a easy way to retrieve 
//  URL parameters when they are encrypted
JSPHelper jhelper = new JSPHelper(request);

String storeId = jhelper.getParameter("storeId");
String catalogId = jhelper.getParameter("catalogId");
String languageId = jhelper.getParameter("langId");

String userRef = cmdcontext.getUserId().toString();

// Prepare an object for inserting the store name into some property file's text using MessageFormat
Object[] arguments = { new String(storeName) };

// If the user tried changing their information and they failed to do so properly,
//  we use the ErrorDataBean to get the reason why the command failed.
%>

<jsp:useBean id="bnError" class="com.ibm.commerce.beans.ErrorDataBean" scope="page">
<% com.ibm.commerce.beans.DataBeanManager.activate(bnError, request); %>
</jsp:useBean>

<jsp:useBean id="emailUserReceiveDB" class="com.ibm.commerce.emarketing.beans.EmailUserReceiveDataBean" scope="page">
<% 
emailUserReceiveDB.setUsersId(new Long(userRef));
com.ibm.commerce.beans.DataBeanManager.activate(emailUserReceiveDB, request); 
%>
</jsp:useBean>

<%
String strErrorMessage = null;
String strErrorCode;
String strLogonID;
String strPassword;
String strPasswordVerify;
String strLastName;
String strFirstName;
String strPreferredCurrency = null;
String strPreferredLanguage = null;
String strAge = "";
String strGender = "";
// Hobbies (interestes) variables
String strHobbies = "";
boolean mensFashionFlag = false;
boolean womensFashionFlag = false;
boolean specialsFlag = false;


TypedProperty hshErrorProperties = bnError.getExceptionData();
if (hshErrorProperties != null)
{
	// There is an error in the form submission.
	// Get the values entered by the user to pre-fill the form

	strLogonID = jhelper.getParameter(ECUserConstants.EC_UP_LOGONID).trim();
	strPassword = jhelper.getParameter(ECUserConstants.EC_UP_LOGPSWD);
	strPasswordVerify = jhelper.getParameter(ECUserConstants.EC_UP_LOGPSWD_VER);
	strLastName = jhelper.getParameter(ECUserConstants.EC_ADDR_LASTNAME).trim();
	strFirstName = jhelper.getParameter(ECUserConstants.EC_ADDR_FIRSTNAME).trim();
	strPreferredLanguage = jhelper.getParameter("preferredLanguage").trim();
	strPreferredCurrency = jhelper.getParameter("preferredCurrency").trim();
	
	%>
	<flow:ifEnabled feature="Age">
	<%
	strAge = jhelper.getParameter(ECUserConstants.EC_DEMO_AGE);
	%>
	</flow:ifEnabled>      
	
	<flow:ifEnabled feature="Gender">
	<%
	strGender = jhelper.getParameter(ECUserConstants.EC_DEMO_GENDER);
	%>
	</flow:ifEnabled>
	<%
	
	strErrorCode = hshErrorProperties.getString(ECConstants.EC_ERROR_CODE, "");
	Object[] args = {new Integer(0), new Integer(0), new Integer(0), new Integer(0)};
	String policyAccount = ECSecurityConstants.ACCOUNT_POLICY;              // Get the default account policy

	PolicyAccountAccessBean abPolicyAccount= new PolicyAccountAccessBean();
	abPolicyAccount.setInitKey_iPolicyAccountId(policyAccount);
	String passPolicyId = abPolicyAccount.getPolicyPasswordId();           // Get the password policy id from the AccountPolicyDataBean

	PolicyPasswordAccessBean abPolicyPassword = new PolicyPasswordAccessBean();
	abPolicyPassword.setInitKey_iPolicyPasswordId(passPolicyId);
	String minLength = abPolicyPassword.getMinimumPasswordLength();        // Get the attributes needed for the error messages
	String minNumeric = abPolicyPassword.getMinimumNumeric();
	String minAlphabetic = abPolicyPassword.getMinimumAlphabetic();
	String maxInstances = abPolicyPassword.getMaximumInstances();
	String maxConsec = abPolicyPassword.getMaximumConsecutiveType();		
	if (strErrorCode.equals(ECUserConstants.EC_UREG_ERR_BAD_LOGONID))
		strErrorMessage = infashiontext.getString("ERROR_MESSAGE10");
	if (strErrorCode.equals(ECUserConstants.EC_UREG_ERR_LOGONID_EXISTS))
		strErrorMessage = infashiontext.getString("ERROR_MESSAGE11");

	if (strErrorCode.equals(ECUserConstants.EC_UREG_ERR_BAD_LOGONPASSWORD))
		strErrorMessage = infashiontext.getString("ERROR_MESSAGE12");
	if (strErrorCode.equals(ECUserConstants.EC_UREG_ERR_BAD_LOGONPASSWORDVERIFY))
		strErrorMessage = infashiontext.getString("ERROR_MESSAGE13");
	if (strErrorCode.equals(ECUserConstants.EC_UREG_ERR_PASSWORDS_NOT_SAME))
		strErrorMessage = infashiontext.getString("ERROR_MESSAGE14");

	if (strErrorCode.equals(ECUserConstants.EC_ADDR_ERR_BAD_LASTNAME))
		strErrorMessage = infashiontext.getString("ERROR_MESSAGE15");
	if (strErrorCode.equals(ECUserConstants.EC_UREG_ERR_MISSING_LOGONPASSWORDVERIFY))
		strErrorMessage = infashiontext.getString("ERROR_MESSAGE16");
		
	if (strErrorCode.equals(ECSecurityConstants.ERR_MINIMUMLENGTH_PASSWORD))
		{
			args[0] = new Integer(minLength);			
			args[1] = new Integer(minNumeric);			
			args[2] = new Integer(minAlphabetic);		
			strErrorMessage = MessageFormat.format(ECMessageHelper.doubleTheApostrophy(infashiontext.getString("PASS_ERROR_MESSAGE21")), args);		
		}
	if (strErrorCode.equals(ECSecurityConstants.ERR_MINIMUMDIGITS_PASSWORD))
			{
			args[0] = new Integer(minLength);			
			args[1] = new Integer(minNumeric);			
			args[2] = new Integer(minAlphabetic);					
			strErrorMessage = MessageFormat.format(ECMessageHelper.doubleTheApostrophy(infashiontext.getString("PASS_ERROR_MESSAGE22")), args);	
			}
	if (strErrorCode.equals(ECSecurityConstants.ERR_MINIMUMLETTERS_PASSWORD))
			{
			args[0] = new Integer(minLength);			
			args[1] = new Integer(minNumeric);			
			args[2] = new Integer(minAlphabetic);				
			strErrorMessage = MessageFormat.format(ECMessageHelper.doubleTheApostrophy(infashiontext.getString("PASS_ERROR_MESSAGE23")), args);	
			}
	if (strErrorCode.equals(ECSecurityConstants.ERR_USERIDMATCH_PASSWORD))
		strErrorMessage = infashiontext.getString("PASS_ERROR_MESSAGE4");	
	if (strErrorCode.equals(ECSecurityConstants.ERR_REUSEOLD_PASSWORD))
		strErrorMessage = infashiontext.getString("PASS_ERROR_MESSAGE5");	
	if (strErrorCode.equals(ECSecurityConstants.ERR_MAXCONSECUTIVECHAR_PASSWORD))
			{
			arguments[0] = new Integer(maxConsec);			
			strErrorMessage = MessageFormat.format(ECMessageHelper.doubleTheApostrophy(infashiontext.getString("PASS_ERROR_MESSAGE26")), arguments);	
			}
	if (strErrorCode.equals(ECSecurityConstants.ERR_MAXINTANCECHAR_PASSWORD))
			{
			arguments[0] = new Integer(maxInstances);			
			strErrorMessage = MessageFormat.format(ECMessageHelper.doubleTheApostrophy(infashiontext.getString("PASS_ERROR_MESSAGE27")), arguments);	
			}

}
else
{
	// Form is loaded under normal condition
	// Retrieve user's information using UserRegistrationDataBean and pre-fill the form.
%>
<jsp:useBean id="bnRegister" class="com.ibm.commerce.user.beans.UserRegistrationDataBean" scope="page">
<% 
com.ibm.commerce.beans.DataBeanManager.activate(bnRegister, request); 
%>
</jsp:useBean>

<jsp:useBean id="demoAccessBean" class="com.ibm.commerce.user.objects.DemographicsAccessBean" scope="page">
</jsp:useBean>

<%
	// Use getAttribute("RDN") here because getLogonId() will return the DN value when LDAP is used
	strLogonID = bnRegister.getAttribute("RDN");
	strPassword = bnRegister.getLogonPassword();
	strPasswordVerify = strPassword;
	strFirstName = bnRegister.getFirstName().trim();
	strLastName = bnRegister.getLastName().trim();
	strPreferredLanguage = bnRegister.getPreferredLanguage().trim();
	strPreferredCurrency = bnRegister.getPreferredCurrency().trim();
	
	demoAccessBean.setInitKey_UserId(userRef);

	%>

	<flow:ifEnabled feature="Age">
	<%
	try {
		strAge = demoAccessBean.getAge();
	} catch (javax.ejb.ObjectNotFoundException e)
	{
		// this happens if age is not specified for this user.
		strAge = "";
	}
	%>
	</flow:ifEnabled>
	
	<flow:ifEnabled feature="Gender">
	<%
	try {
	
		strGender = demoAccessBean.getGender();
	} catch (javax.ejb.ObjectNotFoundException e)
	{
		// this happens if gender is not specified for this user.
		strGender = "";
	}
	%>
	</flow:ifEnabled>	
	<%
	try {
		strHobbies = demoAccessBean.getHobbies();
		if (strHobbies.indexOf(infashiontext.getString("REGUPDATE_INTEREST_MENSFASHION")) > -1 ) mensFashionFlag=true;
		if (strHobbies.indexOf(infashiontext.getString("REGUPDATE_INTEREST_WOMENSFASHION")) > -1) womensFashionFlag=true;
		if (strHobbies.indexOf(infashiontext.getString("REGUPDATE_INTEREST_SPECIALS")) > -1) specialsFlag=true;
	} catch (Exception e)
	{
		// this happens if hobbies are not specified for this user.
		strHobbies = "";
	}

}
%>

 

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "DTD/xhtml1-transitional.dtd">
<html>
<head>
	<title><%=infashiontext.getString("REGISTER_TITLE")%></title>
	<link rel="stylesheet" href="<%=jspStoreImgDir%><%=vfileStylesheet%>" type="text/css">
</head>

<body marginheight="0" marginwidth="0">

<!--
The following javascript prepares some name-value pairs before submission:
1) set the Email address to be always to Logon ID
2) if password and password_verify text fields are empty, set the fields with the values retrieved from RegisterDataBean
-->
<SCRIPT language="javascript">
function prepareSubmit(form)
{
	form.email1.value=form.logonId.value
	form.logonId.value = form.logonId.value.toLowerCase()
	
	if (form.logonPassword.value.length == 0)
	{
		form.logonPassword.value = '<%=strPassword%>'
	}
	if (form.logonPasswordVerify.value.length == 0)
	{
		form.logonPasswordVerify.value = '<%=strPasswordVerify%>'
	}
	
	<flow:ifEnabled feature="EmailOption">
	if (form.sendMeEmail.checked) form.receiveEmail.value = true
	else form.receiveEmail.value = false;
	
	<!-- concatenate hobbies based on interest checkboxes-->
	if (form.mensFashion.checked)	form.hobbies.value = form.hobbies.value+"<%=infashiontext.getString("REGUPDATE_INTEREST_MENSFASHION")%>";
	if (form.womensFashion.checked) form.hobbies.value = form.hobbies.value+","+"<%=infashiontext.getString("REGUPDATE_INTEREST_WOMENSFASHION")%>";
	if (form.specials.checked)      form.hobbies.value = form.hobbies.value+","+"<%=infashiontext.getString("REGUPDATE_INTEREST_SPECIALS")%>";
	<!-- if the string starts with comma, remove it-->
	if (form.hobbies.value.indexOf(",") == 0)
		form.hobbies.value = form.hobbies.value.substring(1,form.hobbies.value.length);
	</flow:ifEnabled>
	
	form.submit()
}
</SCRIPT>

<flow:ifEnabled  feature="customerCare">
<%
	// Set header type needed for this JSP for LiveHelp. This must
	// be set before HeaderDisplay.jsp
	request.setAttribute("liveHelpPageType","personal");
%>
</flow:ifEnabled>

<table cellpadding="0" cellspacing="0" border="0" width="600">
	<%
	String incfile = jspStoreDir;
		
	incfile +=  StyleDir + "HeaderDisplay.jsp";
	%>
	<jsp:include page="<%=incfile%>" flush="true"/>
	<tr>
	<%
	incfile = jspStoreDir + StyleDir + "SidebarDisplay.jsp";
	%>
	<jsp:include page="<%=incfile%>" flush="true"/>

	<td width="600" valign="top" class="mainContent">

		<!--MAIN CONTENT STARTS HERE-->

		<table cellpadding="2" cellspacing="0" width="580" border="0" align="left">
		<tr>
			<td width="10" rowspan="10">&nbsp;</td>
			<td align="left" valign="top" colspan="3" class="categoryspace">
				<font class="pageHeading"><%=infashiontext.getString("CHANGE_PERSONAL_INFO")%></font>
				<hr width="580" noshade align="left">
			</td>
		</tr>
		<tr>
			<td align="left" valign="top" width="400" class="topspace">
				<%
				if (strErrorMessage != null)
				{
					// We have an error message to display.
					%>
					<font class="redText"><br /><%=strErrorMessage%><br /><br /></font>
					<%
				}
				%>

				<FORM name="Register" method="POST" action="UserRegistrationUpdate">
				<INPUT TYPE="hidden" NAME="storeId" Value="<%=storeId%>">
				<INPUT TYPE="hidden" NAME="catalogId" Value="<%=catalogId%>">
				<INPUT TYPE="hidden" NAME="URL" Value="LogonForm"> 
				<INPUT TYPE="hidden" NAME="page" Value="account">
				<INPUT TYPE="hidden" NAME="registerType" Value="R">
				<INPUT TYPE="hidden" NAME="editRegistration" Value="Y">
				<INPUT TYPE="hidden" NAME="<%=ECUserConstants.EC_ADDR_EMAIL1%>" Value="">
				<INPUT TYPE="hidden" NAME="hobbies" Value="">
				<flow:ifEnabled feature="EmailOption">
				<INPUT TYPE="hidden" NAME="receiveEmail" Value="">
				</flow:ifEnabled>
				<flow:ifDisabled feature="EmailOption">
				<INPUT TYPE="hidden" NAME="receiveEmail" Value="false">
				</flow:ifDisabled>
				
				<table cellpadding="3" cellspacing="0" border="0" align="left">
				<tr>
					<td align="left" valign="top" colspan="2">
						<font class="text"><%=infashiontext.getString("NEED_CHANGE_NAME")%> </font>
					</td>
				</tr>
				<% 
				// We customize the layout of the page depending on locale
				if (locale.toString().equals("ja_JP")||locale.toString().equals("ko_KR")||locale.toString().equals("zh_CN")||locale.toString().equals("zh_TW")) 
				{ 
					%>
					<tr>
						<td align="right" valign="middle">
							<font class="strongtext"><%=infashiontext.getString("LAST_NAME1")%></font>
						</td>
						<td align="left" valign="middle">
							<input size="25" maxlength="50" name="<%=ECUserConstants.EC_ADDR_LASTNAME%>" type="text" value="<%=strLastName%>">
						</td>
					</tr>
					<tr>
						<td align="right" valign="middle">
							<font class="strongtext"><%=infashiontext.getString("FRIST_NAME1")%></font>
						</td>
						<td align="left" valign="middle">
							<input size="25" maxlength="50" name="<%= ECUserConstants.EC_ADDR_FIRSTNAME %>" type="text" value="<%=strFirstName%>">
						</td>
					</tr>
					<% 
				} 
				else 
				{ 
					%>
					<tr>
						<td align="right" valign="middle">
							<font class="strongtext"><%=infashiontext.getString("FRIST_NAME1")%></font>
						</td>
						<td align="left" valign="middle">
							<input size="25" maxlength="50" name="<%= ECUserConstants.EC_ADDR_FIRSTNAME %>" type="text" value="<%=strFirstName%>">
						</td>
					</tr>
					<tr>
						<td align="right" valign="middle">
							<font class="strongtext"><%=infashiontext.getString("LAST_NAME1")%></font>
						</td>
						<td align="left" valign="middle">
							<input size="25" maxlength="50" name="<%=ECUserConstants.EC_ADDR_LASTNAME%>" type="text" value="<%=strLastName%>">
						</td>
					</tr>
					<% 
				} 
				%>
				<tr>
					<td colspan="2"><font class="text">&nbsp;</font></td>
				</tr>
				<tr>
					<td align="left" valign="top" colspan="2">
						<font class="text"><%=infashiontext.getString("NEED_CHANGE_EMAIL")%> </font>
					</td>
				</tr>
				<tr>
					<td align="right" valign="middle">
						<font class="strongtext"><%=infashiontext.getString("EMAIL")%></font>
					</td>
					<td align="left" valign="middle">
						<input size="25" maxlength="50" name="<%= ECUserConstants.EC_UREG_LOGONID%>" value="<%=strLogonID%>">
					</td>
				</tr>
				<tr>
					<td colspan="2"><font class="text">&nbsp;</font></td>
				</tr>
				<tr>
					<td align="left" valign="top" colspan="2">
						<font class="text"><%=infashiontext.getString("WANT_CHANGE_PASS")%></font>
					</td>
				</tr>
				<tr>
					<td align="right" valign="middle">
						<font class="strongtext"><%=infashiontext.getString("PASSWORD")%></font>
					</td>
					<td align="left" valign="middle">
						<input size="25" maxlength="50" name="<%=ECUserConstants.EC_UREG_LOGONPASSWORD%>" type="password" value="">
					</td>
				</tr>
				<tr>
					<td align="right" valign="middle">
						<font class="strongtext"><%=infashiontext.getString("VERIFY_PASS")%></font></td>
					<td align="left" valign="middle">
						<input size="25" maxlength="50" name="<%=ECUserConstants.EC_UREG_LOGONPASSWORDVERIFY%>" type="password" value=""></td>
				</tr>
				<flow:ifEnabled feature="preferredLanguage">
				<tr>
					<td colspan="2"><font class="text">&nbsp;</font></td>
				</tr>
				<tr>
					<td align="left" valign="top" colspan="2">
						<font class="text"><%=infashiontext.getString("WANT_CHANGE_LANG")%></font></td>
				</tr>
				<tr>
					<td align="right" valign="middle">
						<font class="strongtext"><%=infashiontext.getString("REGISTER_PREFERREDLANGUAGE")%></font>
					</td>
					<td class="strongtext">
						<select name="preferredLanguage">
						<jsp:useBean id="supportedLanguageDataBean" class="com.ibm.commerce.common.beans.SupportedLanguageDataBean" scope="page" />
						<%
						Enumeration enStoreLangList = 
						supportedLanguageDataBean.findByStore(new Integer(storeId));
						// Get the languages supported by the store
						while (enStoreLangList.hasMoreElements()) 
						{
							SupportedLanguageDataBean storeLang = 
								(SupportedLanguageDataBean) enStoreLangList.nextElement();
							String storelangId = storeLang.getLanguageId();
							LanguageDescriptionDataBean langDesc = 
								new LanguageDescriptionDataBean();
							langDesc.setInitKey_languageId(languageId);
							langDesc.setInitKey_descriptionLanguageId(storelangId);
	
							// pre-select the appropriate value in the drop down list.
							if (strPreferredLanguage.equals(storelangId)) 
							{
								%>
								<option value="<%= storelangId %>" SELECTED><%=langDesc.getDescription()%></option>
								<%
							} 
							else 
							{
								%>
								<option value="<%= storelangId %>"><%=langDesc.getDescription()%></option>
								<%
							}
						}
						%>
						</select>
					</td>
				</tr>
				</flow:ifEnabled>
				
				<flow:ifDisabled feature="preferredLanguage">
					<input type="hidden" name="preferredLanguage" value="<%=strPreferredLanguage%>">
				</flow:ifDisabled>
				
				<flow:ifEnabled feature="preferredCurrency">
				<tr>
					<td colspan="2"><font class="text">&nbsp;</font></td>
				</tr>
				<tr>
					<td align="left" valign="top" colspan="2">
						<font class="text"><%=infashiontext.getString("WANT_CHANGE_CURR")%></font></td>
				</tr>
				<tr>
					<td align="right" valign="middle">
						<font class="strongtext"><%=infashiontext.getString("REGISTER_PREFERREDCURRENCY")%></font>
					</td>
					<td class="strongtext">
						<select name="preferredCurrency">
						<%
						CurrencyManager cm = CurrencyManager.getInstance();
						String [] supportedCurrencies = (String []) cm.getSupportedCurrencies(cmdcontext.getStore());
						for (int i = 0; i < supportedCurrencies.length; ++i)
						{
							CurrencyDescriptionDataBean currDesc = new CurrencyDescriptionDataBean();
							currDesc.setInitKey_languageId(languageId);
							currDesc.setInitKey_currencyCode(supportedCurrencies[i]);
							// pre-select the appropriate value in the drop down list.
							if (strPreferredCurrency.equals(supportedCurrencies[i]))
   							{
								%>
								<OPTION Value="<%=supportedCurrencies[i]%>" SELECTED><%=currDesc.getDescription()%></OPTION>
								<%
							}
							else 
							{
								%>
								<OPTION Value="<%=supportedCurrencies[i]%>"><%=currDesc.getDescription()%></OPTION>
								<%
							}
						}
						%>
						</select>
					</td>
				</tr>
				</flow:ifEnabled>
				
				<flow:ifDisabled feature="preferredCurrency">
					<input type="hidden" name="preferredCurrency" value="<%=strPreferredCurrency%>">
				</flow:ifDisabled>
				
				<tr>
					<td colspan="2"><font class="text">&nbsp;</font></td>
				</tr>
				
				<flow:ifEnabled feature="Age">
				<% // The following code will display the description for updating the 
				   //  users demographic information if the feature Age Or Gender is selected 
				%>
				<tr>
					<td align="left" valign="top" colspan="2">
						<font class="text"><%=infashiontext.getString("WANT_CHANGE_DEMO")%></font>
					</td>
				</tr>
				</flow:ifEnabled>
				<flow:ifDisabled feature="Age">
					<flow:ifEnabled feature="Gender">
					<tr>
						<td align="left" valign="top" colspan="2">
							<font class="text"><%=infashiontext.getString("WANT_CHANGE_DEMO")%></font>
						</td>
					</tr>					
					</flow:ifEnabled>
				</flow:ifDisabled>
				
				<flow:ifEnabled feature="Age">
				<tr>
					<td align="right" valign="middle">
						<font class="strongtext"><%=infashiontext.getString("AGE")%></font>
					</td>
					<td class="strongtext">
						<select name="<%=ECUserConstants.EC_DEMO_AGE%>">
						<% 
						if (strAge.equals("0")) 
						{ 
							%>
							<OPTION selected Value="0"><%=infashiontext.getString("SELECT_ONE")%></OPTION>
							<OPTION Value="1">10-19</OPTION>
							<OPTION Value="2">20-29</OPTION>
							<OPTION Value="3">30-39</OPTION>
							<OPTION Value="4">40-49</OPTION>
							<OPTION Value="5">50-59</OPTION>
							<OPTION Value="6">60+</OPTION>
							<% 
						} 
						else if (strAge.equals("1")) 
						{ 
							%>
							<OPTION Value="0"><%=infashiontext.getString("SELECT_ONE")%></OPTION>
							<OPTION selected Value="1">10-19</OPTION>
							<OPTION Value="2">20-29</OPTION>
							<OPTION Value="3">30-39</OPTION>
							<OPTION Value="4">40-49</OPTION>
							<OPTION Value="5">50-59</OPTION>
							<OPTION Value="6">60+</OPTION>
							<% 
						} 
						else if (strAge.equals("2")) 
						{ 
							%>
							<OPTION Value="0"><%=infashiontext.getString("SELECT_ONE")%></OPTION>
							<OPTION Value="1">10-19</OPTION>
							<OPTION selected Value="2">20-29</OPTION>
							<OPTION Value="3">30-39</OPTION>
							<OPTION Value="4">40-49</OPTION>
							<OPTION Value="5">50-59</OPTION>
							<OPTION Value="6">60+</OPTION>
							<% 
						} 
						else if (strAge.equals("3")) 
						{ 
							%>
							<OPTION Value="0"><%=infashiontext.getString("SELECT_ONE")%></OPTION>
							<OPTION Value="1">10-19</OPTION>
							<OPTION Value="2">20-29</OPTION>
							<OPTION selected Value="3">30-39</OPTION>
							<OPTION Value="4">40-49</OPTION>
							<OPTION Value="5">50-59</OPTION>
							<OPTION Value="6">60+</OPTION>
							<% 
						} 
						else if (strAge.equals("4")) 
						{ 
							%>
							<OPTION Value="0"><%=infashiontext.getString("SELECT_ONE")%></OPTION>
							<OPTION Value="1">10-19</OPTION>
							<OPTION Value="2">20-29</OPTION>
							<OPTION Value="3">30-39</OPTION>
							<OPTION selected Value="4">40-49</OPTION>
							<OPTION Value="5">50-59</OPTION>
							<OPTION Value="6">60+</OPTION>
							<% 
						}
						else if (strAge.equals("5")) 
						{ 
							%>
							<OPTION Value="0"><%=infashiontext.getString("SELECT_ONE")%></OPTION>
							<OPTION Value="1">10-19</OPTION>
							<OPTION Value="2">20-29</OPTION>
							<OPTION Value="3">30-39</OPTION>
							<OPTION Value="4">40-49</OPTION>
							<OPTION selected Value="5">50-59</OPTION>
							<OPTION Value="6">60+</OPTION>
							<% 
						} 
						else if (strAge.equals("6")) 
						{ 
							%>
							<OPTION Value="0"><%=infashiontext.getString("SELECT_ONE")%></OPTION>
							<OPTION Value="1">10-19</OPTION>
							<OPTION Value="2">20-29</OPTION>
							<OPTION Value="3">30-39</OPTION>
							<OPTION Value="4">40-49</OPTION>
							<OPTION Value="5">50-59</OPTION>
							<OPTION selected Value="6">60+</OPTION>
							<%
						} 
						else 
						{
							%>
							<OPTION Value="0"><%=infashiontext.getString("SELECT_ONE")%></OPTION>
							<OPTION Value="1">10-19</OPTION>
							<OPTION Value="2">20-29</OPTION>
							<OPTION Value="3">30-39</OPTION>
							<OPTION Value="4">40-49</OPTION>
							<OPTION Value="5">50-59</OPTION>
							<OPTION Value="6">60+</OPTION>
							<% 
						} 
						%>
						</select>
					</td>
				</tr>							
				</flow:ifEnabled>
				<flow:ifEnabled feature="Gender">				
				<tr>
					<td align="right">
						<font class="strongtext"><%=infashiontext.getString("GENDER")%></font>
					</td>
					<td class="strongtext" colspan="2">
						<font class="strongtext">
						<% 
						if (strGender.equals("")) 
						{ 
							%>
							<input type="radio" name="<%= ECUserConstants.EC_DEMO_GENDER%>" value="M" ><%=infashiontext.getString("MALE")%>&nbsp;&nbsp;&nbsp;&nbsp;
							<input type="radio" name="<%= ECUserConstants.EC_DEMO_GENDER%>" value="F" ><%=infashiontext.getString("FEMALE")%>
							<% 
						} 
						else if (strGender.equals("F")) 
						{ 
							%>
							<input type="radio" name="<%= ECUserConstants.EC_DEMO_GENDER%>" value="M" ><%=infashiontext.getString("MALE")%>&nbsp;&nbsp;&nbsp;&nbsp;
							<input type="radio" checked name="<%= ECUserConstants.EC_DEMO_GENDER%>" value="F" ><%=infashiontext.getString("FEMALE")%>
							<% 
						} 
						else if (strGender.equals("M"))
						{ 
							%>
							<input type="radio" checked name="<%= ECUserConstants.EC_DEMO_GENDER%>" value="M" ><%=infashiontext.getString("MALE")%>&nbsp;&nbsp;&nbsp;&nbsp;
							<input type="radio" name="<%= ECUserConstants.EC_DEMO_GENDER%>" value="F" ><%=infashiontext.getString("FEMALE")%>
							<% 
						} 
						%>
						</font>
					</td>
				</tr>
				</flow:ifEnabled>
				
				<tr>
					<td colspan="2"><font class="text">&nbsp;</font></td>
				</tr>				
				<flow:ifEnabled feature="EmailOption">
				<tr>
					<td colspan="2" class="sidebar">
						<table><tr>
							<td valign="top"><input type="checkbox" name="sendMeEmail" <% if (emailUserReceiveDB.isUserReceive()) {%> checked <%}%>></td>
							<td><font class="headerText"><%=infashiontext.getString("REGUPDATE_SENDMEEMAIL")%><br /></font></td>
						</tr></table>
					</td>
					
				</tr>
				<tr>
					<td colspan="2">				
					<table>
					<tr>
						<td width="20">&nbsp;</td>
						<td><font class="text"><font class="text"><br /><%=infashiontext.getString("REGUPDATE_INTERESTIN")%><br /></font></td>
						
					</tr>
					<tr>
						<td width="20">&nbsp;</td>
						<td><font class="text"><font class="text"><input type="checkbox" name="mensFashion" <% if (mensFashionFlag) {%> checked <%}%>>&nbsp;<%=infashiontext.getString("REGUPDATE_INTEREST_MENSFASHION")%></font></td>
					</tr>
					<tr>
						<td width="20">&nbsp;</td>
						<td><font class="text"><font class="text"><input type="checkbox" name="womensFashion"<% if (womensFashionFlag) {%> checked <%}%>>&nbsp;<%=infashiontext.getString("REGUPDATE_INTEREST_WOMENSFASHION")%></font></td>
					</tr>
					<tr>
						<td width="20">&nbsp;</td>
						<td><font class="text"><font class="text"><input type="checkbox" name="specials"<% if (specialsFlag) {%> checked <%}%>>&nbsp;<%=infashiontext.getString("REGUPDATE_INTEREST_SPECIALS")%></font></td>
					</tr>

					<%-- for tutorial --%>
					<tr>
						<td colspan="3">
							<jsp:include page="UserRegistrationUpdateFormInclude.jsp" flush="true" />
						</td>
					</tr>
					<%-- End of tutorial --%>


				</table>
				</td>
				</tr>
				</flow:ifEnabled>
				<tr>
					<td colspan="2"><font class="text">&nbsp;</font></td>
				</tr>
						
				<tr>
					<td align="left" valign="top">
						<font class="text">&nbsp;</font>
					</td>
					<td align="left" valign="top" class="categoryspace">
						<table cellpadding="4" cellspacing="0" border="0">
						<tr>
							<td align="left" valign="middle" class="buttonStyle">
								<a href="javascript:prepareSubmit(document.Register)">
								<font class="buttonStyle"><%=infashiontext.getString("SUBMIT")%></font></a>
							</td>
						</tr>
						</table>
					</td>
				</tr>
				</table>
				</form>
				
			</td>
			<td width="180" valign="top" class="topspace">
				<table cellpadding="3" cellspacing="0" border="1" width="180">
				<tr>
					<td align="left" valign="top" class="privacyStatement">
						<font><%=infashionDynamictext.getString("PrivacyPoloicy_Text1",storeName)%></font>
					</td>
				</tr>
				</table>
			</td>
		</tr>
		</table>
	</td>
</tr>
<tr>
	<td colspan="2" class="footer" align="right">
	
		<%
		incfile = jspStoreDir + StyleDir + "FooterDisplay.jsp";
		%>
		<jsp:include page="<%=incfile%>" flush="true"/>
	</td>
</tr>
</table>


</body>
</html>
